Package org.apache.cxf.configuration

# Interface Configurable

All Known Implementing Classes:
  `EndpointImpl`, `ServiceImpl`

public interface Configurable
A configurable interface for obtaining a bean's name A class which implements this interface should return the unique bean name for configuration to use

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBeanName()`
  Get the configurable object's Bean name

- ## Method Details

  - ### getBeanName

    String getBeanName()
    Get the configurable object's Bean name
    Returns:
      the bean name